Summary:        A daemon to help balance the cpu load generated by interrupts
Name:           irqbalance
Version:        1.9.2
Release:        3%{?dist}
License:        GPLv2
URL:            http://irqbalance.github.io/irqbalance
Source0:        https://github.com/Irqbalance/irqbalance/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  autoconf automake libtool make pkgconf
BuildRequires:  libcap-ng systemd glib2-devel libcap-ng-devel numactl-devel
Requires:       ncurses-libs numactl-libs

%description
Irqbalance is a daemon that monitors the cpu load created by various 
interrupt sources and attempts to distribute that load over the 
available cpus in your system in an attempt to better balance system 
latency and throughput.

%prep
%autosetup

%build
./autogen.sh
%configure --without-irqbalance-ui
%make_build

sed -i "s#\(EnvironmentFile=-\).*irqbalance\.env#\1/etc/sysconfig/irqbalance#g" misc/irqbalance.service

%install
%make_install

install -D -p -m 0644 misc/irqbalance.service %{buildroot}%{_unitdir}/irqbalance.service
install -D -p -m 0644 misc/irqbalance.env %{buildroot}%{_sysconfdir}/sysconfig/irqbalance

%check
make check

%post
%systemd_post irqbalance.service

%preun
%systemd_preun irqbalance.service

%postun
%systemd_postun_with_restart irqbalance.service

%files
%license COPYING
%doc AUTHORS
%config(noreplace) %{_sysconfdir}/sysconfig/irqbalance
%{_unitdir}/irqbalance.service
%{_sbindir}/irqbalance
%{_mandir}/man1/irqbalance.1.gz

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.2-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jul 11 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.9.2-1
- Upgrade to upstream version 1.9.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 11 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.9.0-1
- Initial build
